edu.isi.pegasus.planner.invocation

## Class RAM

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.MachineInfo
      - - edu.isi.pegasus.planner.invocation.RAM

All Implemented Interfaces:
  java.io.Serializable

    public class RAM
    extends MachineInfo

The RAM element.

Version:
  $Revision$
Author:
  Karan Vahi
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `ELEMENT_NAME` The element name

### Fields inherited from class edu.isi.pegasus.planner.invocation.MachineInfo

`mAttributeMap`

### Constructor Summary

Constructors
Constructor and Description
`RAM()` The default constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getElementName()` Returns the name of the xml element corresponding to the object.

### Methods inherited from class edu.isi.pegasus.planner.invocation.MachineInfo

`addAttribute, addAttributes, get, getAttributeKeysIterator, toString, toXML`

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ELEMENT_NAME

    public static final java.lang.String ELEMENT_NAME

The element name

See Also:
  Constant Field Values

### Constructor Detail

#### RAM

    public RAM()

The default constructor

### Method Detail

#### getElementName

    public java.lang.String getElementName()

Returns the name of the xml element corresponding to the object.

Specified by:
  `getElementName` in class `MachineInfo`
Returns:
  name